<template>
    <v-container>
        <div>
            <v-img :lazy-src="image"
                   aspect-ratio="1"
                   width="100"
                   class="mb-3" />
            The network thinks this is <b>{{ assumedCharacter }}</b>
        </div>

        <div>
            <h4 class="mt-7 mb-3">Correct answer:</h4>
            <v-btn v-for="neuron in neurons"
                   :key="neuron.id"
                   @click="submit(neuron)">
                {{ neuron.value }}
            </v-btn>
        </div>

    </v-container>
</template>

<script>
    import Api from "../../api/Api";
    export default {
        name: "Learner",
        data: () => ({
            image: null,
            assumedCharacter: null,
            neurons: []
        }),
        methods: {
            submit(neuron) {
                Api.characterRecognizing.learner.submit(neuron.id).then(response => {
                    this.image = Api.characterRecognizing.assets.getUrl(response.assetId);
                    this.assumedCharacter = response.value;
                });
            }
        },
        mounted() {
            Api.characterRecognizing.learner.start().then(response => {
                this.image = Api.characterRecognizing.assets.getUrl(response.assetId);
                this.assumedCharacter = response.value;
            });

            Api.characterRecognizing.neurons.findAll().then(response => {
                this.neurons = response;
            });
        }
    }
</script>

<style scoped>

</style>